extends Node

export(NodePath) var nodepath
onready var node = get_node(nodepath)
var buffer : float

var buff = 0

func _ready():
	set_physics_process(false)


func _physics_process(delta):
	node.scale.x += -delta*10 if buff > 6 else delta*10
	node.scale.y = node.scale.x
	buff += 1
	if buff == 12: set_physics_process(false)
